ImmutableConverterConfiguration (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.web.converters.configuration

## [Java] Class ImmutableConverterConfiguration<C>

- org.grails.web.converters.configuration.ImmutableConverterConfiguration

- All Implemented Interfaces and Traits:
    ConverterConfiguration

      @java.lang.SuppressWarnings("rawtypes")
      public class ImmutableConverterConfiguration
      extends java.lang.Object

  Immutable Converter Configuration.

  Authors:
    Siegfried Puchbauer
  See Also:
    ChainedConverterConfiguration

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.List<ObjectMarshaller<C>>` | `marshallers` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ImmutableConverterConfiguration (ConverterConfiguration<C> cfg)`
    `ImmutableConverterConfiguration (ConverterConfiguration<C> cfg, ProxyHandler proxyHandler)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `CircularReferenceBehaviour` | `getCircularReferenceBehaviour()` @see ConverterConfiguration#getCircularReferenceBehaviour()
    `java.lang.String` | `getEncoding()` @see ConverterConfiguration#getEncoding()
    `ObjectMarshaller<C>` | `getMarshaller(java.lang.Object o)` @see ConverterConfiguration#getMarshaller(Object)
    `java.util.List<ObjectMarshaller<C>>` | `getOrderedObjectMarshallers()`
    `ProxyHandler` | `getProxyHandler()`
    `boolean` | `isCacheObjectMarshallerByClass()`
    `boolean` | `isPrettyPrint()` @see ConverterConfiguration#isPrettyPrint()

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected final java.util.List<ObjectMarshaller<C>> marshallers

  - ### Constructor Detail

    - #### public ImmutableConverterConfiguration(ConverterConfiguration<C> cfg)

    - #### public ImmutableConverterConfiguration(ConverterConfiguration<C> cfg, ProxyHandler proxyHandler)

  - ### Method Detail

    - #### public CircularReferenceBehaviour getCircularReferenceBehaviour()

      See Also:
        ConverterConfiguration.getCircularReferenceBehaviour

    - #### public java.lang.String getEncoding()

      See Also:
        ConverterConfiguration.getEncoding

    - #### public ObjectMarshaller<C> getMarshaller(java.lang.Object o)

      See Also:
        ConverterConfiguration.getMarshaller

    - #### public java.util.List<ObjectMarshaller<C>> getOrderedObjectMarshallers()

    - #### public ProxyHandler getProxyHandler()

    - #### public boolean isCacheObjectMarshallerByClass()

    - #### public boolean isPrettyPrint()

      See Also:
        ConverterConfiguration.isPrettyPrint